Bug 209612 - nfs-utils: /sbin/service nfs status returns "Shutting down NFS..."
nfs-utils: /sbin/service nfs status returns "Shutting down NFS..."
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 08:35 EDT by Rex Dieter
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: 1.0.6-73
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 09:30:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-10-06 08:35:11 EDT
$rpm -q nfs-utils
nfs-utils-1.0.6-70.EL4

$/sbin/service nfs status
Shutting down NFS mountd: rpc.mountd (pid 2488) is running...
nfsd (pid 2484 2483 2482 2481 2478 2477 2476 2475) is running...

Clearly the "Shutting down NFS" bit shouldn't be included here.

Patch nfs initscript:
--- nfs.orig    2006-08-13 01:52:52.000000000 -0500
+++ nfs 2006-10-06 07:34:10.000000000 -0500
@@ -126,7 +126,6 @@
        ;;
   status)
        [ -x /usr/sbin/rpc.svcgssd ] && /sbin/service rpcsvcgssd status
-       echo -n $"Shutting down NFS mountd: "
        status rpc.mountd
        status nfsd
        if [ -n "$RQUOTAD" -a "$RQUOTAD" != "no" ]; then
Comment 1 Steve Dickson 2006-12-08 09:30:31 EST
Fixed in 1.0.6-73

Note You need to log in before you can comment on or make changes to this bug.